Summary: A way to more safely re-load firewall rules remotely.
Name: fwrestart
Version: 1.04
Release: 1
License: GPL
Group: Applications/System
URL: http://www.tummy.com/Community/software/
Source: ftp://ftp.tummy.com/pub/tummy/fwrestart/fwrestart-1.04.tar.gz
Requires: python
BuildRequires: python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
This program can automatically detect when changes to the firewall block
the administrative shell session, and to take corrective action

fwrestart uses terminal auto-response codes to safely re-start firewall
rules over a remote shell session.  It sends a request to your terminal
(xterm, for example), which responds back automatically.  When that
response is received, ensuring that fwrestart can communicate with the
terminal, fwrestart then issues a command to restart the firewall.
It then tries another request to the terminal, and if that is not
received within 5 seconds, a command is run to clear the firewall and
an appropriate error is generated.

%prep
%setup
%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
mkdir -p "$RPM_BUILD_ROOT"/usr/share/man/man8

#  copy over files
cp fwrestart "$RPM_BUILD_ROOT"/usr/sbin
cp fwrestart.man "$RPM_BUILD_ROOT"/usr/share/man/man8/fwrestart.8

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(755,root,root)
%doc README LICENSE
%{_sbindir}/fwrestart
%{_mandir}/man8/fwrestart.8.gz

%changelog
* Thu May 26 2005 Kevin Fenzi <kevin@tummy.com> - 1.02-1
- Changed a number of items to match Fedora extras guidelines
